Export (0) Print
Expand All

SQLXML Is Not Installed in SQL Server 2008

Before SQL Server 2008, SQLXML 4.0 was released with SQL Server and was part of the default installation of all SQL Server versions except for SQL Server Express. Starting with SQL Server 2008, the latest version of SQLXML (SQLXML 4.0 SP1) is no longer included in SQL Server. To install SQLXML 4.0 SP1 when it is available, download it from Install Location for SQLXML SP1.

If an application runs on SQL Server and requires SQLXML 4.0, and if the computer does not have SQL Server 2005, you must download and install SQLXML 4.0 SP1.

SQL Server 2008 introduces the following data types, which developers using SQLXML might want to use:

  • Date

  • Time

  • DateTime2

  • DateTimeOffset

When using SQLXML 4.0 SP1 with either SQLOLEDB (from Windows Data Access Components, formerly Microsoft Data Access Components) or SQL Server Native Client OLE DB from SQL Server 2005, these new types will appear as strings to a developer. SQLXML 4.0 SP1 will enable these four new data types as built-in scalara types when used with SQL Server Native Client OLE DB Provider 10.0 (SQLNCLI.10), which ships in SQL Server 2008. Until you download SQLXML 4.0 SP1, mapping these types to non-string types might cause truncation of some data. For example, mapping DateTime2 to xsd:date will cause data to be truncated to the SQL Server 2005 DateTime precision of 3.33 miliseconds.

Community Additions

ADD
Show:
© 2014 Microsoft